<input class='google-place-search' ngx-google-places-autocomplete #placesRef="ngx-places" (onAddressChange)="handleAddressChange($event)" [options]="googleInputOptions" />
<agm-map [streetViewControl]="false" [zoomControl]="false" (mapReady)="mapReady($event)" [usePanning]='true' [zoom]='15' [latitude]='latitude' [longitude]='longitude'>
  <ng-container *ngFor="let property of properties">
    <agm-marker (markerClick)="handleMarkerClicked(property)"
      [iconUrl]='selectedProperty && selectedProperty.id === property.id ? selectedIconUrl : iconUrl'
      [latitude]='property.position[0]' [longitude]='property.position[1]'>
    </agm-marker>
  </ng-container>
</agm-map>
